# modules/app_lcd/universal/app_lcd.c File Reference

`#include <mios32.h>`
`#include <glcd_font.h>`
`#include <string.h>`
`#include "app_lcd.h"`

## Defines
#define | MAX_LCDS 64
#define | DEBUG_VERBOSE_LEVEL 0
#define | SED1520_POLLIN_WINTEK_WD_G1203T 1
#define | APP_LCD_NUM_EXT_PINS 0
## Functions
s32 | APP_LCD_Init (u32 mode)
s32 | APP_LCD_Data (u8 data)
s32 | APP_LCD_Cmd (u8 cmd)
s32 | APP_LCD_Clear (void)
s32 | APP_LCD_CursorSet (u16 column, u16 line)
s32 | APP_LCD_GCursorSet (u16 x, u16 y)
s32 | APP_LCD_SpecialCharInit (u8 num, u8 table[8])
s32 | APP_LCD_BColourSet (u32 rgb)
s32 | APP_LCD_FColourSet (u32 rgb)
s32 | APP_LCD_BitmapPixelSet (mios32_lcd_bitmap_t bitmap, u16 x, u16 y, u32 colour)
s32 | APP_LCD_BitmapPrint (mios32_lcd_bitmap_t bitmap)
s32 | APP_LCD_AltPinningSet (u8 alt_pinning)
u8 | APP_LCD_AltPinningGet (void)
s32 | APP_LCD_TerminalHelp (void *_output_function)
s32 | APP_LCD_TerminalParseLine (char *input, void *_output_function)
s32 | APP_LCD_TerminalPrintConfig (void *_output_function)

## Define Documentation

#define APP_LCD_NUM_EXT_PINS 0

#define DEBUG_VERBOSE_LEVEL 0

#define MAX_LCDS 64

#define SED1520_POLLIN_WINTEK_WD_G1203T 1

## Function Documentation

u8 APP_LCD_AltPinningGet | ( | void |  | ) |

s32 APP_LCD_AltPinningSet | ( | u8 | alt_pinning | ) |

s32 APP_LCD_BColourSet | ( | u32 | rgb | ) |

s32 APP_LCD_BitmapPixelSet | ( | mios32_lcd_bitmap_t | bitmap,
|  | u16 | x,
|  | u16 | y,
|  | u32 | colour |
| ) |  |  |

s32 APP_LCD_BitmapPrint | ( | mios32_lcd_bitmap_t | bitmap | ) |

Here is the call graph for this function:

s32 APP_LCD_Clear | ( | void |  | ) |

Here is the call graph for this function:

s32 APP_LCD_Cmd | ( | u8 | cmd | ) |

Here is the call graph for this function:

s32 APP_LCD_CursorSet | ( | u16 | column,
|  | u16 | line |
| ) |  |  |

Here is the call graph for this function:

s32 APP_LCD_Data | ( | u8 | data | ) |

Here is the call graph for this function:

s32 APP_LCD_FColourSet | ( | u32 | rgb | ) |

s32 APP_LCD_GCursorSet | ( | u16 | x,
|  | u16 | y |
| ) |  |  |

Here is the call graph for this function:

s32 APP_LCD_Init | ( | u32 | mode | ) |

Here is the call graph for this function:

s32 APP_LCD_SpecialCharInit | ( | u8 | num,
|  | u8 | table[8] |
| ) |  |  |

Here is the call graph for this function:

s32 APP_LCD_TerminalHelp | ( | void * | _output_function | ) |

s32 APP_LCD_TerminalParseLine | ( | char * | input,
|  | void * | _output_function |
| ) |  |  |

Here is the call graph for this function:

s32 APP_LCD_TerminalPrintConfig | ( | void * | _output_function | ) |

Here is the call graph for this function: